package com.steerinfo.meterwork.meterworkimagetemp.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value="null")
public class MeterWorkImageTemp implements IBasePO<String> {
    /**
     * 图片主键(IMAGE_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="图片主键",required=true)
    private String imageNo;

    /**
     * 图片车号(RAILWAY_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="图片车号",required=false)
    private String railwayNo;

    /**
     * 图片保存时间(IMAGE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="图片保存时间",required=false)
    private Date imageTime;

    /**
     * 图片地址_02(IMAGE_URL_2,VARCHAR,150)
     */
    @ApiModelProperty(value="图片地址_02",required=false)
    private String imageUrl2;

    /**
     * 图片地址_01(IMAGE_URL_1,VARCHAR,150)
     */
    @ApiModelProperty(value="图片地址_01",required=false)
    private String imageUrl1;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String baseSpotNo;

    /**
     * 是否有效（0：有效、1：无效）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="是否有效（0：有效、1：无效）",required=false)
    private String valueFlag;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.imageNo;
    }

    @Override
    public void setId(String imageNo) {
        this.imageNo = imageNo == null ? null : imageNo.trim();
    }

    public String getImageNo() {
        return imageNo;
    }

    public void setImageNo(String imageNo) {
        this.imageNo = imageNo == null ? null : imageNo.trim();
    }

    public String getRailwayNo() {
        return railwayNo;
    }

    public void setRailwayNo(String railwayNo) {
        this.railwayNo = railwayNo == null ? null : railwayNo.trim();
    }

    public Date getImageTime() {
        return imageTime;
    }

    public void setImageTime(Date imageTime) {
        this.imageTime = imageTime;
    }

    public String getImageUrl2() {
        return imageUrl2;
    }

    public void setImageUrl2(String imageUrl2) {
        this.imageUrl2 = imageUrl2 == null ? null : imageUrl2.trim();
    }

    public String getImageUrl1() {
        return imageUrl1;
    }

    public void setImageUrl1(String imageUrl1) {
        this.imageUrl1 = imageUrl1 == null ? null : imageUrl1.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", imageNo=").append(imageNo);
        sb.append(", railwayNo=").append(railwayNo);
        sb.append(", imageTime=").append(imageTime);
        sb.append(", imageUrl2=").append(imageUrl2);
        sb.append(", imageUrl1=").append(imageUrl1);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}